# Schemas

## The TaxInformation object

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"components":{"schemas":{"TaxInformation":{"title":"TaxInformation","type":"object","properties":{"taxYear":{"type":"integer","description":"Calendar year of the tax year"},"lossPotEquities":{"type":"number","format":"decimal","description":"Balance of the STOCK loss pot"},"lossPotGeneral":{"type":"number","format":"decimal","description":"Balance of the OTHER (general) loss pot"},"incomeCoveredEquities":{"type":"number","format":"decimal","description":"Income covered by losses from the STOCK loss pot in this tax year"},"incomeCoveredGeneral":{"type":"number","format":"decimal","description":"Income covered by losses from the OTHER loss pot in this tax year"},"usedFsa":{"type":"number","format":"decimal","description":"Income covered by the FSA (Saver's Allowance) in this tax year"},"withheldCapitalGainsTax":{"type":"number","format":"decimal","description":"Total German capital income tax calculated for the taxpayer in this tax year"},"withheldSolidarityTax":{"type":"number","format":"decimal","description":"Total German solidarity surcharge tax calculated for the taxpayer in this tax year"},"withheldChurchTax":{"type":"number","format":"decimal","description":"Total German church tax calculated for the taxpayer in this tax year"},"creditedForeignWithholdingTax":{"type":"number","format":"decimal","description":"Total foreign tax credited for the taxpayer in this tax year"}},"required":["taxYear","lossPotEquities","lossPotGeneral","incomeCoveredEquities","incomeCoveredGeneral","usedFsa","withheldCapitalGainsTax","withheldSolidarityTax","withheldChurchTax","creditedForeignWithholdingTax"]}}}}
```

## The TaxExemptionOrder object

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"components":{"schemas":{"TaxExemptionOrder":{"type":"object","required":["createdOn","entityId","entityType","fsaAmount","fsaType","modifiedOn","status","taxExemptionOrderId"],"properties":{"taxExemptionOrderId":{"type":"string","format":"uuid","description":"Unique tax exemption order identification in UUID format"},"status":{"$ref":"#/components/schemas/TaxExemptionOrderStatusEnum"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the tax exemption order was created"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the tax exemption order was last modified"},"entityId":{"type":"string","format":"uuid","description":"Unique entity identification in UUID format"},"entityType":{"$ref":"#/components/schemas/EntityTypeEnum"},"fsaType":{"$ref":"#/components/schemas/FsaTypeEnum"},"fsaAmount":{"type":"number","format":"decimal","description":"The amount to allocate for FSA (must be positive)"},"fsaValidFrom":{"type":"string","format":"date","description":"Date from which the allocation becomes valid (optional, it will be January 1st if not provided)"},"fsaValidUntil":{"type":"string","format":"date","description":"Date until which the allocation is valid (optional, must be December 31st if provided)"}},"title":"TaxExemptionOrder"},"TaxExemptionOrderStatusEnum":{"title":"TaxExemptionOrderStatusEnum","type":"string","description":"The status of the tax exemption order","enum":["RECEIVED","INVALID","ACTIVE","INACTIVE"]},"EntityTypeEnum":{"title":"EntityTypeEnum","type":"string","enum":["NATURAL_PERSON","LEGAL_ENTITY","JOINT_PERSON","BENEFICIAL_OWNER","LEGAL_REPRESENTATIVE"],"description":"Type of the entity."},"FsaTypeEnum":{"title":"FsaTypeEnum","type":"string","description":"The type of the fsa","enum":["INDIVIDUAL","JOINT"]}}}}
```

## The TaxExemptionOrders object

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"components":{"schemas":{"TaxExemptionOrders":{"title":"TaxExemptionOrders","type":"object","properties":{"data":{"type":"array","description":"Array of tax exemption orders","items":{"$ref":"#/components/schemas/TaxExemptionOrder"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"TaxExemptionOrder":{"type":"object","required":["createdOn","entityId","entityType","fsaAmount","fsaType","modifiedOn","status","taxExemptionOrderId"],"properties":{"taxExemptionOrderId":{"type":"string","format":"uuid","description":"Unique tax exemption order identification in UUID format"},"status":{"$ref":"#/components/schemas/TaxExemptionOrderStatusEnum"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the tax exemption order was created"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the tax exemption order was last modified"},"entityId":{"type":"string","format":"uuid","description":"Unique entity identification in UUID format"},"entityType":{"$ref":"#/components/schemas/EntityTypeEnum"},"fsaType":{"$ref":"#/components/schemas/FsaTypeEnum"},"fsaAmount":{"type":"number","format":"decimal","description":"The amount to allocate for FSA (must be positive)"},"fsaValidFrom":{"type":"string","format":"date","description":"Date from which the allocation becomes valid (optional, it will be January 1st if not provided)"},"fsaValidUntil":{"type":"string","format":"date","description":"Date until which the allocation is valid (optional, must be December 31st if provided)"}},"title":"TaxExemptionOrder"},"TaxExemptionOrderStatusEnum":{"title":"TaxExemptionOrderStatusEnum","type":"string","description":"The status of the tax exemption order","enum":["RECEIVED","INVALID","ACTIVE","INACTIVE"]},"EntityTypeEnum":{"title":"EntityTypeEnum","type":"string","enum":["NATURAL_PERSON","LEGAL_ENTITY","JOINT_PERSON","BENEFICIAL_OWNER","LEGAL_REPRESENTATIVE"],"description":"Type of the entity."},"FsaTypeEnum":{"title":"FsaTypeEnum","type":"string","description":"The type of the fsa","enum":["INDIVIDUAL","JOINT"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]}}}}
```

## The TaxExemptionOrderData object

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"components":{"schemas":{"TaxExemptionOrderData":{"title":"TaxExemptionOrderData","type":"object","properties":{"entityId":{"type":"string","format":"uuid","description":"Unique entity identification in UUID format"},"entityType":{"$ref":"#/components/schemas/EntityTypeEnum"},"fsaType":{"$ref":"#/components/schemas/FsaTypeEnum"},"fsaAmount":{"type":"number","format":"decimal","description":"The amount to allocate for FSA (must be positive)"},"fsaValidFrom":{"type":"string","format":"date","description":"Date from which the allocation becomes valid (optional, it will be January 1st if not provided)"},"fsaValidUntil":{"type":"string","format":"date","description":"Date until which the allocation is valid (optional, must be December 31st if provided)"}},"required":["entityId","entityType","fsaType","fsaAmount"]},"EntityTypeEnum":{"title":"EntityTypeEnum","type":"string","enum":["NATURAL_PERSON","LEGAL_ENTITY","JOINT_PERSON","BENEFICIAL_OWNER","LEGAL_REPRESENTATIVE"],"description":"Type of the entity."},"FsaTypeEnum":{"title":"FsaTypeEnum","type":"string","description":"The type of the fsa","enum":["INDIVIDUAL","JOINT"]}}}}
```

## The CreateTaxExemptionOrderResult object

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"components":{"schemas":{"CreateTaxExemptionOrderResult":{"title":"CreateTaxExemptionOrderResult","type":"object","properties":{"taxExemptionOrderId":{"type":"string","format":"uuid","description":"Unique tax exemption order identification in UUID format"}},"required":["taxExemptionOrderId"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/taxes/schemas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
